using Microsoft.IdentityModel.Tokens;
using System;

namespace AcaMate.V1.Models;

/// <summary>
/// 입력 받은 토큰들(Access & Refresh) 자체에 문제가 있는 경우
/// </summary>
public class TokenException: Exception
{
    public TokenException(string message) : base(message)
    {
    }
}

/// <summary>
/// 리프레시 토큰이 만료가 나있는 경우
/// </summary>
public class RefreshRevokeException: Exception
{
    public RefreshRevokeException(string message) : base(message)
    {
    }
}